## org.eclipse.emf.codegen.jmerge
Class JControlModel.SortRule

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.JControlModel.SortRule
          org.eclipse.emf.codegen.jmerge.JControlModel.SortRule

Enclosing class:
  JControlModel

Deprecated. in 2.2.0. Use `JControlModel.SortRule` instead.

    @Deprecated
    public static class JControlModel.SortRule

extends JControlModel.SortRule

Field Summary
`protected java.lang.String` `classPrefix`

Fields inherited from class org.eclipse.emf.codegen.merge.java.JControlModel.SortRule
`markup, name, selector`

Constructor Summary
`JControlModel.SortRule()` Deprecated.
`JControlModel.SortRule(org.w3c.dom.Element element)` Deprecated.

Method Summary
`java.lang.String` `getClassPrefix()`
`protected void` `setClassPrefix(java.lang.String classPrefix)`

Methods inherited from class org.eclipse.emf.codegen.merge.java.JControlModel.SortRule
`getMarkup, getName, getSelector, initialize, setMarkup, setName, setSelector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classPrefix

    protected java.lang.String classPrefix

Constructor Detail

### JControlModel.SortRule

    public JControlModel.SortRule()

  Deprecated.

### JControlModel.SortRule

    public JControlModel.SortRule(org.w3c.dom.Element element)

  Deprecated.

Method Detail

### setClassPrefix

    protected void setClassPrefix(java.lang.String classPrefix)

### getClassPrefix

    public java.lang.String getClassPrefix()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.